### Property

# Soup Session:proxy-resolver

#### Declaration

    property proxy-resolver: Gio.ProxyResolver [ read, write ]

#### Description [src]

A `GProxyResolver` to use with this session.

If no proxy resolver is set, then the default proxy resolver will be used. See `g_proxy_resolver_get_default()`. You can set it to `NULL` if you don’t want to use proxies, or set it to your own `GProxyResolver` if you want to control what proxies get used.

Type: | `GProxyResolver`

Getter method | `soup_session_get_proxy_resolver()`
Setter method | `soup_session_set_proxy_resolver()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no